package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * Imported portal page, required when parameter [pageType] is 2
 */
@ApiModel(description = "Imported portal page, required when parameter [pageType] is 2")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class ImportedPortalPageOpenApiVo   {
  @JsonProperty("id")
  private String id;

  public ImportedPortalPageOpenApiVo id(String id) {
    this.id = id;
    return this;
  }

  /**
   * Imported portal page ID. Imported portal page can be uploaded using 'Import portal page' interface 
   * @return id
  */
  @ApiModelProperty(required = true, value = "Imported portal page ID. Imported portal page can be uploaded using 'Import portal page' interface ")
  @NotNull


  public String getId() {
    return id;
  }

  public void setId(String id) {
    this.id = id;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    ImportedPortalPageOpenApiVo importedPortalPageOpenApiVo = (ImportedPortalPageOpenApiVo) o;
    return Objects.equals(this.id, importedPortalPageOpenApiVo.id);
  }

  @Override
  public int hashCode() {
    return Objects.hash(id);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class ImportedPortalPageOpenApiVo {\n");
    
    sb.append("    id: ").append(toIndentedString(id)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

